lpadmin(8)

NOM
lpadmin - Configurer les imprimantes et classes d'imprimantes CUPS.

SYNOPSIS
lpadmin [ -E ] [-U identifiant ] [ -h serveur[:port] ] -d destination
lpadmin [ -E ] [-U identifiant ] [ -h serveur[:port] ] -p destination [ -R nom_par_défaut] option(s)
lpadmin [ -E ] [-U identifiant ] [ -h serveur[:port] ] -x destination

DESCRIPTION
lpadmin configure les imprimantes et les files d’attente de classes d'imprimantes fournies par CUPS. Il est également utilisé pour définir l'imprimante ou classe d'imprimante par défaut.

Lorsque l'option -E est indiquée avant les options -d, -p ou -x, la communication avec le serveur est chiffrée.

La première méthode d'utilisation de la commande (avec -d) définit l'imprimante ou la classe par défaut à destination. Les impressions futures demandées par les commandes lp(1) ou lpr(1) utiliseront cette destination sauf avis contraire de l'utilisateur par l'utilisation de la commande lpoptions(1).

La seconde forme de la commande (avec -p) configure l'imprimante ou la classe indiquée. Les options supplémentaires sont décrites ci-dessous.

La troisième forme de la commande (avec -x) supprime l'imprimante ou classe destination. Tous les travaux d'impression en attente sur cette destination sont supprimés, et les travaux en cours d'impression sont arrêtés.

OPTIONS
Les options suivantes sont reconnues pour la configuration d'une file d'impression :

-c classe
    Ajouter l'imprimante imprimante à la classe classe. Si la classe n'existe pas encore, elle est créée automatiquement.

-m modèle
    Définir un fichier PPD standard pour l’imprimante à partir du répertoire modèle ou en utilisant une des interfaces de pilote. Utilisez l'option -m avec la commande lpinfo(8) pour obtenir une liste des modèles pris en charge. Le modèle « raw » outrepasse tout fichier PPD existant et le modèle « everywhere » recherche l’imprimante désignée par l’uri_périphérique IPP.Remarque : les modèles autres que « everywhere » sont obsolètes et ne seront plus gérés dans une version future de CUPS.

-o cupsIPPSupplies=true

-o cupsIPPSupplies=false
    Indiquer si les valeurs de niveau d’équipement IPP doivent être rapportées.

-o cupsSNMPSupplies=true

-o cupsSNMPSupplies=false
    Indiquer si les valeurs SNMP de niveau d’équipement (RFC 3805) doivent être rapportées.

-o job-k-limit=valeur
    Définir les quotas par utilisateur en kilo-octets. La valeur est un nombre entier de kilo-octets (valant 1 024 octets).

-o job-page-limit=valeur
    Définir le nombre maximal de pages disponibles par utilisateur. La valeur est un nombre entier de pages pouvant être imprimées. Les pages recto verso comptent pour deux pages.

-o job-quota-period=valeur
    Définir le temps maximal disponible par utilisateur. La valeur est un nombre entier de secondes. Une journée contient 86 400 secondes.

-o job-sheets-default=bannière

-o job-sheets-default=bannière,bannière
    Fixer la (les) page(s) de bannière par défaut pour les travaux d'impression.

-o nom=valeur
    Définir une option PPD pour l'imprimante. La liste des options PPD peut être obtenue en utilisant l'option -l de la commande lpoptions(1).

-o nom-default=valeur
    Définir au niveau du serveur une option par défaut pour la destination. Toute option pouvant être définie au moment de l'impression peut avoir une valeur par défaut, par exemple « -o number-up-default=2 » pour définir l'option « number-up » par défaut à la valeur 2.

-o port-monitor=nom
    Fixer le programme à utiliser pour les communications binaires lors de l'impression : « none », « bcp » ou « tbcp ». Le programme par défaut est « none ». Le port écouté indiqué doit être listé dans le fichier PPD de l'imprimante.

-o printer-error-policy=nom
    Fixer la politique à utiliser en cas d'erreur telle que les imprimantes non trouvées, leur accès impossible, un échec lors de la transmission des données ou le plantage d’un ou plusieurs filtres. Le nom doit être soit « abort-job » (annuler l'impression), « retry-job » (réessayer plus tard), « retry-current-job » (réessayer l'impression en cours immédiatement) ou « stop-printer » (arrêter l'imprimante). La politique par défaut en cas d'erreur est « stop-printer » pour les imprimantes et « retry-current-job » pour les classes.

-o printer-is-shared=true

-o printer-is-shared=false
    Placer la destination dans l'état partagée/publique ou non partagée/non publique. Les destinations partagées/publiques sont annoncées officiellement par le serveur sur le réseau local, en fonction de la configuration pour les recherches de cupsd.conf, tandis que les imprimantes non partagées/non publiques ne sont pas annoncées. La valeur par défaut est « true ».

-o printer-op-policy=nom
    Fixer la politique des opérations IPP associée à l'imprimante. Le nom doit être défini dans cupsd.conf, dans une section « Policy ». Par défaut, la politique des opérations est « default ».

-R nom-default
    Supprimer les options données pour l'imprimante.

-r classe
    Supprimer l'imprimante de la classe. Si la classe d'imprimante devient vide, celle-ci est supprimée.

-u allow:{utilisateur|@groupe}{,utilisateur|,@groupe}*

-u deny:{utilisateur|@groupe}{,utilisateur|,@groupe}*

-u allow:all

-u deny:none
    Définir les accès au niveau utilisateur sur une imprimante. Les noms commençant par un « @ » sont interprétés comme des groupes UNIX. Les deux dernières expressions désactivent les contrôles d'accès au niveau utilisateur. REMARQUE : le superutilisateur ne possède par d’accès spécial. L’utilisation de « -u allow:toto,tartempion » autorise les utilisateurs « toto » et « tartempion » à accéder à l’imprimante, mais PAS le « superutilisateur ».

-v "uri_périphérique"
    Définir l'attribut uri_périphérique de la file d'impression. Utiliser l'option -v avec la commande lpinfo(8) pour obtenir une liste des URI de périphérique géré ainsi que leur schéma.

-D "info"
    Définir une description textuelle de la destination.

-E  Si indiqué avant les options -d, -p ou -x, forcer l’utilisation du chiffrement TLS pour la connexion à l’ordonnanceur. Sinon, activer la destination et accepter les travaux d'impression. Cela est identique à l’exécution des programmes cupsaccept(8) et cupsenable(8) avec cette destination.

-L "emplacement"
    Définir un emplacement textuel de l'imprimante.

OPTIONS OBSOLÈTES
Les options suivantes de lpadmin sont obsolètes :

-i nom_fichier
    Cette option historiquement a été utilisée pour fournir soit un script d’interface System V ou (comme effet de bord d’implémentation) un fichier PPD. Remarque : les scripts d’interface ne sont pas pris en charge par CUPS. Les fichiers PPD et les pilotes d’imprimante sont obsolètes et ne seront plus pris en charge dans une version future de CUPS.

-P fichier_ppd
    Définir le fichier PPD (« Postscript Printer Description ») à utiliser avec cette imprimante. Remarque : les fichiers PPD et les pilotes d’imprimante sont obsolètes et ne seront plus pris en charge dans une version future de CUPS.

CONFORMITÉ
Contrairement au système d'impression System V, les noms d’imprimante CUPS peuvent contenir n'importe quel caractère imprimable sauf ESPACE, TABULATION, « / » ou « # ». De même, les noms d'imprimante et de classe ne sont pas sensibles à la casse.

Finalement, la version de CUPS de lpadmin peut demander à l'utilisateur un accès par mot de passe suivant la configuration du système d'impression. Cela diffère des versions de System V qui demandent le mot de passe superutilisateur pour exécuter cette commande.

NOTES
Les pilotes et les programmes de transmission de CUPS sont devenus obsolètes et ne seront plus entretenus dans une prochaine publication de CUPS. Les imprimantes qui ne gèrent pas IPP peuvent être gérées en utilisant des applications telles que ippeveprinter(1).

La version CUPS de lpadmin ne reconnaît pas toutes les options de configuration disponibles dans les versions System V ou Solaris.

Les scripts d’interface se sont pas gérés pour des raisons de sécurité.

La double signification de l’option E est une malheureuse bizarrerie historique.

La commande lpadmin communique avec l’ordonnanceur (cupsd) pour modifier la configuration du système d’impression. Ces informations de configuration sont stockées dans plusieurs fichiers dont printers.conf et classes.conf. Ces fichiers ne devraient pas être édités directement et sont un détail de l’implémentation de CUPS sujet à modification n’importe quand.

EXEMPLE
Créer une file d’impression IPP Everywhere :

    lpadmin -p mon_imprimante -E -v ipp://mon_imprimante.local/ipp/print -m everywhere

VOIR AUSSI
cupsaccept(8), cupsenable(8), lpinfo(8), lpoptions(1), aide en ligne de CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.